"use strict";

var _reactNative = require("react-native");

var _react = _interopRequireDefault(require("react"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

var _ = _interopRequireDefault(require("."));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/* eslint-env jest */
const props = {
  disabled: false,
  restricted: false,
  baseColor: 'black',
  tintColor: 'blue',
  errorColor: 'red',
  lineWidth: 0.5,
  activeLineWidth: 2,
  disabledLineWidth: 1,
  focusAnimation: new _reactNative.Animated.Value(0),
  labelAnimation: new _reactNative.Animated.Value(0),
  labelWidth: new _reactNative.Animated.Value(72),
  contentInset: {
    left: 12,
    right: 12
  }
};
it('renders outline', () => {
  let line = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_.default, props)).toJSON();

  expect(line).toMatchSnapshot();
});
it('renders disabled outline', () => {
  let line = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_.default, _extends({}, props, {
    disabled: true
  }))).toJSON();

  expect(line).toMatchSnapshot();
});
it('renders restricted outline', () => {
  let line = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_.default, _extends({}, props, {
    restricted: true
  }))).toJSON();

  expect(line).toMatchSnapshot();
});
it('renders active outline', () => {
  let line = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(_.default, _extends({}, props, {
    labelAnimation: new _reactNative.Animated.Value(1)
  }))).toJSON();

  expect(line).toMatchSnapshot();
});
//# sourceMappingURL=test.js.map