function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import PropTypes from 'prop-types';
import React, { PureComponent } from 'react';
import { Animated } from 'react-native';
import { TextPropTypes } from 'deprecated-react-native-prop-types';
import styles from './styles';
export default class Affix extends PureComponent {
  render() {
    let {
      labelAnimation,
      style,
      children,
      type,
      fontSize,
      color
    } = this.props;
    let containerStyle = {
      height: fontSize * 1.5,
      opacity: labelAnimation
    };
    let textStyle = {
      includeFontPadding: false,
      textAlignVertical: 'top',
      fontSize,
      color
    };

    switch (type) {
      case 'prefix':
        containerStyle.paddingRight = 8;
        textStyle.textAlign = 'left';
        break;

      case 'suffix':
        containerStyle.paddingLeft = 8;
        textStyle.textAlign = 'right';
        break;
    }

    return /*#__PURE__*/React.createElement(Animated.View, {
      style: [styles.container, containerStyle]
    }, /*#__PURE__*/React.createElement(Animated.Text, {
      style: [style, textStyle]
    }, children));
  }

}

_defineProperty(Affix, "defaultProps", {
  numberOfLines: 1
});

_defineProperty(Affix, "propTypes", {
  numberOfLines: PropTypes.number,
  style: TextPropTypes.style,
  color: PropTypes.string.isRequired,
  fontSize: PropTypes.number.isRequired,
  type: PropTypes.oneOf(['prefix', 'suffix']).isRequired,
  labelAnimation: PropTypes.instanceOf(Animated.Value).isRequired,
  children: PropTypes.oneOfType([PropTypes.arrayOf(PropTypes.node), PropTypes.node])
});
//# sourceMappingURL=index.js.map