function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import PropTypes from 'prop-types';
import React, { PureComponent } from 'react';
import { Text } from 'react-native';
import { TextPropTypes } from 'deprecated-react-native-prop-types';
import styles from './styles';
export default class Counter extends PureComponent {
  render() {
    let {
      count,
      limit,
      baseColor,
      errorColor,
      style
    } = this.props;

    if (!limit) {
      return null;
    }

    let textStyle = {
      color: count > limit ? errorColor : baseColor
    };
    return /*#__PURE__*/React.createElement(Text, {
      style: [styles.text, style, textStyle]
    }, count, " / ", limit);
  }

}

_defineProperty(Counter, "propTypes", {
  count: PropTypes.number.isRequired,
  limit: PropTypes.number,
  baseColor: PropTypes.string.isRequired,
  errorColor: PropTypes.string.isRequired,
  style: TextPropTypes.style
});
//# sourceMappingURL=index.js.map