function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import { Animated, StyleSheet } from 'react-native';
import TextField from '../field';
import Outline from '../outline';
export default class OutlinedTextField extends TextField {
  constructor(props) {
    super(props);
    this.onTextLayout = this.onTextLayout.bind(this);
    this.state.labelWidth = new Animated.Value(0);
  }

  onTextLayout(_ref) {
    let {
      nativeEvent: {
        lines
      }
    } = _ref;
    let {
      fontSize,
      labelFontSize
    } = this.props;
    let {
      labelWidth
    } = this.state;
    let scale = labelFontSize / fontSize;
    labelWidth.setValue(lines[0].width * scale);
  }

  renderLabel(props) {
    let {
      onTextLayout
    } = this;
    return super.renderLabel({ ...props,
      onTextLayout
    });
  }

  renderLine(props) {
    let {
      labelWidth
    } = this.state;
    return /*#__PURE__*/React.createElement(Outline, _extends({}, props, {
      labelWidth: labelWidth
    }));
  }

}

_defineProperty(OutlinedTextField, "contentInset", { ...TextField.contentInset,
  input: 16,
  top: 0,
  left: 12,
  right: 12
});

_defineProperty(OutlinedTextField, "labelOffset", { ...TextField.labelOffset,
  y0: 0,
  y1: -10
});

_defineProperty(OutlinedTextField, "defaultProps", { ...TextField.defaultProps,
  lineWidth: 1,
  disabledLineWidth: StyleSheet.hairlineWidth
});
//# sourceMappingURL=index.js.map