function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { Image } from 'react-native';
import React from 'react';
import renderer from 'react-test-renderer';
import TextField from '.';
const props = {
  label: 'test'
};
/* eslint-env jest */

it('renders', () => {
  let field = renderer.create( /*#__PURE__*/React.createElement(TextField, props)).toJSON();
  expect(field).toMatchSnapshot();
});
it('renders value', () => {
  let field = renderer.create( /*#__PURE__*/React.createElement(TextField, _extends({}, props, {
    value: "text"
  }))).toJSON();
  expect(field).toMatchSnapshot();
});
it('renders disabled value', () => {
  let field = renderer.create( /*#__PURE__*/React.createElement(TextField, _extends({}, props, {
    value: "text",
    disabled: true
  }))).toJSON();
  expect(field).toMatchSnapshot();
});
it('renders default value', () => {
  let field = renderer.create( /*#__PURE__*/React.createElement(TextField, _extends({}, props, {
    defaultValue: "text"
  }))).toJSON();
  expect(field).toMatchSnapshot();
});
it('renders multiline value', () => {
  let field = renderer.create( /*#__PURE__*/React.createElement(TextField, _extends({}, props, {
    value: "text",
    multiline: true
  }))).toJSON();
  expect(field).toMatchSnapshot();
});
it('renders title', () => {
  let field = renderer.create( /*#__PURE__*/React.createElement(TextField, _extends({}, props, {
    title: "field"
  }))).toJSON();
  expect(field).toMatchSnapshot();
});
it('renders error', () => {
  let field = renderer.create( /*#__PURE__*/React.createElement(TextField, _extends({}, props, {
    error: "message"
  }))).toJSON();
  expect(field).toMatchSnapshot();
});
it('renders counter', () => {
  let field = renderer.create( /*#__PURE__*/React.createElement(TextField, _extends({}, props, {
    value: "text",
    characterRestriction: 10
  }))).toJSON();
  expect(field).toMatchSnapshot();
});
it('renders restriction', () => {
  let field = renderer.create( /*#__PURE__*/React.createElement(TextField, _extends({}, props, {
    value: "text",
    characterRestriction: 2
  }))).toJSON();
  expect(field).toMatchSnapshot();
});
it('renders prefix', () => {
  let field = renderer.create( /*#__PURE__*/React.createElement(TextField, _extends({}, props, {
    value: "text",
    prefix: "$"
  }))).toJSON();
  expect(field).toMatchSnapshot();
});
it('renders suffix', () => {
  let field = renderer.create( /*#__PURE__*/React.createElement(TextField, _extends({}, props, {
    value: "text",
    suffix: ".com"
  }))).toJSON();
  expect(field).toMatchSnapshot();
});
it('renders left accessory', () => {
  let render = () => /*#__PURE__*/React.createElement(Image, null);

  let field = renderer.create( /*#__PURE__*/React.createElement(TextField, _extends({}, props, {
    renderLeftAccessory: render
  }))).toJSON();
  expect(field).toMatchSnapshot();
});
it('renders right accessory', () => {
  let render = () => /*#__PURE__*/React.createElement(Image, null);

  let field = renderer.create( /*#__PURE__*/React.createElement(TextField, _extends({}, props, {
    renderRightAccessory: render
  }))).toJSON();
  expect(field).toMatchSnapshot();
});
//# sourceMappingURL=test.js.map