function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import PropTypes from 'prop-types';
import React, { PureComponent } from 'react';
import { Animated } from 'react-native';
import { TextPropTypes } from 'deprecated-react-native-prop-types';
import styles from './styles';
export default class Label extends PureComponent {
  render() {
    let {
      label,
      offset,
      disabled,
      restricted,
      fontSize,
      activeFontSize,
      contentInset,
      errorColor,
      baseColor,
      tintColor,
      style,
      focusAnimation,
      labelAnimation,
      ...props
    } = this.props;

    if (label == null) {
      return null;
    }

    let color = disabled ? baseColor : restricted ? errorColor : focusAnimation.interpolate({
      inputRange: [-1, 0, 1],
      outputRange: [errorColor, baseColor, tintColor]
    });
    let textStyle = {
      lineHeight: style && style.lineHeight || fontSize,
      fontSize,
      color
    };
    let {
      x0,
      y0,
      x1,
      y1
    } = offset;
    y0 += activeFontSize;
    y0 += contentInset.label;
    y0 += fontSize * 0.25;
    let containerStyle = {
      transform: [{
        scale: labelAnimation.interpolate({
          inputRange: [0, 1],
          outputRange: [1, activeFontSize / fontSize]
        })
      }, {
        translateY: labelAnimation.interpolate({
          inputRange: [0, 1],
          outputRange: [y0, y1]
        })
      }, {
        translateX: labelAnimation.interpolate({
          inputRange: [0, 1],
          outputRange: [x0, x1]
        })
      }]
    };
    return /*#__PURE__*/React.createElement(Animated.View, {
      style: [styles.container, containerStyle]
    }, /*#__PURE__*/React.createElement(Animated.Text, _extends({
      style: [styles.text, style, textStyle]
    }, props), label));
  }

}

_defineProperty(Label, "defaultProps", {
  numberOfLines: 1,
  disabled: false,
  restricted: false
});

_defineProperty(Label, "propTypes", {
  numberOfLines: PropTypes.number,
  disabled: PropTypes.bool,
  restricted: PropTypes.bool,
  fontSize: PropTypes.number.isRequired,
  activeFontSize: PropTypes.number.isRequired,
  baseColor: PropTypes.string.isRequired,
  tintColor: PropTypes.string.isRequired,
  errorColor: PropTypes.string.isRequired,
  focusAnimation: PropTypes.instanceOf(Animated.Value).isRequired,
  labelAnimation: PropTypes.instanceOf(Animated.Value).isRequired,
  contentInset: PropTypes.shape({
    label: PropTypes.number
  }),
  offset: PropTypes.shape({
    x0: PropTypes.number,
    y0: PropTypes.number,
    x1: PropTypes.number,
    y1: PropTypes.number
  }),
  style: TextPropTypes.style,
  label: PropTypes.string
});
//# sourceMappingURL=index.js.map